@import "./variables";
.photo {
  &__area {
    margin-top: 10px;
    &--flex {
      display: flex;
      .photo__img {
        flex: 1;
        flex-basis: 0;
      }
      .photo__img:before {
        content: '';
        float: left;
        padding-top: 100%;
      }
    }
  }
  &__img {
    border-radius: 5px;
    border: 1px solid $color_lightgray;
    display: inline-block;
    position: relative;
  }
  &__placeholder {
    background-image: url('/assets/images/svg/photo.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 10px center;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 50%;
    height: 50%;
    position: absolute;
  }
  &__placeholder--plus {
    background-image: url('/assets/images/svg/photo_plus.svg');
    background-position: 30px 20px;
  }
  img {
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
  }
  &__preview {
    max-width: 100%;
    max-height: 100%;
    overflow: hidden;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
  }
}
